﻿* Encoding: UTF-8.

*Exercise 7 California.
    
Weight by weight.

*DV.
*try to inc var on vax.

recode q27a (5 = 1) (1= .75) (2=.50) (3= .25) (4 =0) into Vax.
value labels Vax  0 'defnot' .25 'probnot' .50 'probget' .75 'defget' 1'got'.

recode q29 (1=1) (2 = 0) into Require.
value labels require 1 'yes' 0 'no'.

Compute Covid = (Vax + Require).


*IVs.

recode gender (1=0) (2=1) into female.

recode d1a (1=0) (2= .2) (3= .4) (4=.6) (5=.8) (6=1) into age.
value labels age 0 '18+' .2 '25+' .4 '35+' .6 '45+' .8 '55+' 1 '65+'.

recode d7 (1=0) (2=.25) (3=.5) (4=.75) (5=1) into educ.
value labels educ 0 '<hs' .25 'hs' .5 'col' .75 'grad' 1 'post'.

recode d11 (1 =0) (2=.17) (3=.34) (4=.5) (5=.66) (6=.83) (7=1) into income.
value labels income 0 '<$20k' .17 '$20k+' .34 '$40k+' .5 '$60k+' .66 '$80k+' .83 '$100k+' 1 '$200k+' .

recode q37 (1=1) (2=.66) (3=.33) (4=0) into interest.
value labels interest 0 'none' .33 'only a little' .66 'fair amount' 1 'great deal'.

recode q34a (1=1) (2= .0) (else =.5) into Dem3.
value labels Dem3 0 'Rep' .5 'Other' 1 'Dem'.

recode q36 (1=1) (2=.75) (3= .5 ) (4=.25) (5= 0) into liberal5. 
value labels liberal5 1 'vlib' .75 'liberal'.5 'middle' .25 'conserv' 0 'vcons'.


*Analysis simple MR.
regression variables=Covid Dem3 liberal5 interest  female age educ income
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = Covid
  /method = enter Dem3 liberal5 interest  female age educ income.

*Adding dummies to the regression.
*Dummies for Ethnicity.
recode d8com (3=1) (4=2) (else =3) into ethn.
value labels ethn 1 'Hisp' 2 'White' 3 'other'.
recode ethn (1=1) (else =0) into Hisp.
recode ethn (2=1) (else =0) into white.
recode ethn (3=1) (else =0) into other.

*Dummies for Region.
recode county (8,12,23,49,1,7,21,28,38,41,43,48,49,44,27,40=1)
(42, 56, 3, 30, 37 = 2) (else = 3) into coastal.
value labels coastal 1 'NorthCent Coast' 2 'South Coast' 3 'Inland'.
recode coastal (1=1) (else = 0) into Ncoast.
recode coastal (2=1) (else = 0) into Scoast.
recode coastal (3=1) (else = 0) into inland.

*regression adds ethn &  region dummies using other & inland as reference categories.
regression variables=Covid Dem3 liberal5 interest  female age educ income Hisp white Ncoast Scoast
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = Covid
  /method = enter Dem3 liberal5 interest  female age educ income Hisp white Ncoast Scoast.


*More complex dummies.
*Dummies for Interest.

*Recode interest to combine little & none due to small N for none and reflecting Anova for interest & interest3.
recode q37 (1=1) (2=.5) (3, 4=0) into interest3.
value labels interest3 0 'none-little' .5 'fair amount' 1 'great deal'.

*oneway Covid by interest3
  /statistics=descriptives
  /ranges=scheffe
  /plot means.

recode interest3 (1=1) (else=0) into greatint.
recode interest3 (.5=1) (else=0) into fairint.
recode interest3 (0=1) (else=0) into littleint

*regression replacing interest with dummies setting fairint as reference category.
*adds a bit to r-square compared with interest.
regression variables=Covid Dem3 liberal5 greatint littleint female age educ income Hisp white Ncoast Scoast 
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = Covid
  /method = enter Dem3 liberal5 greatint littleint female age educ income Hisp white Ncoast Scoast. 

*Dummies for age.
recode age (1=1) (else=0) into age65.
recode age (.8=1) (else=0) into age55. 
recode age (.6=1) (else=0) into age45. 
recode age (.4=1) (else=0) into age35. 
recode age (.2=1) (else=0) into age25.
recode age (0=1) (else=0) into age18.
    
*replacing age with dummies setting 65+ as reference category.
*adds a bit to r-sq compared with age.
regression variables=Covid Dem3 liberal5 greatint littleint female age18 age25 age35 age45 age55 educ income Hisp white Ncoast Scoast 
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = Covid
  /method = enter Dem3 liberal5 greatint littleint female age18 age25 age35 age45 age55 educ income Hisp white Ncoast Scoast.
  
*Anova shows ages 18&55 nsd.
*oneway Covid by age
  /statistics=descriptives
  /ranges=scheffe
  /plot means.

*Dummies for educ.
*recoding educ in accord with Anova results.
recode educ (0, .25=1) (else =0) into hs.
recode educ (.5 =1) (else=0) into college.
recode educ (.75, 1=1) (else=0) into grad.

*replacing educ with dummies setting college as reference category.
*adds a bit to r-sq compared with educ.
regression variables=Covid Dem3 liberal5 greatint littleint female age18 age25 age35 age45 age55 hs grad income Hisp white Ncoast Scoast
  /statistics anova coeff r tol
  /descriptives = n corr
  /dependent = Covid
  /method = enter Dem3 liberal5 greatint littleint female age18 age25 age35 age45 age55 hs grad income Hisp white Ncoast Scoast.

 
*Dummies for Income are not significant & do not add to r-square.
*Therefore leave income as a multicategory ordinal IV as in preceding regression.
*recode income (1=1) (else=0) into inc200.
*recode income (.83=1) (else=0) into inc100. 
*recode income (.66=1) (else=0) into inc80. 
*recode income (.5=1) (else=0) into inc60. 
*recode income (.34=1) (else=0) into inc40.
*recode income (.17=1) (else=0) into inc20.
*recode income (0=1) (else=0) into incunder20.



*Alternative party and ideology codings.
*Not used in this exercise.
*if (q34a = 2) and (q35a =1) Democrat7 =0. 
*if (q34a = 2) and (q35a =2) Democrat7 =.166. 
*if (q34a = 4) and (q35b=1) Democrat7 =.333.
*if (q34a =4) and (q35b =3) Democrat7 =.5.
*If (q34a = 4) and (q35b =2) Democrat7 = .666.
*if (q34a =1) and (q35 =2) Democrat7 = .833. 
*if (q34a =1) and (q35 =1) Democrat7 = 1.
*value labels Democrat7 0 'strRep' .166 'Rep' .333 'LeanRep' .5 'Indep' .666 'LeanDem' .833 'Dem' 1 'strDem'.
*fre var = Democrat7.

*recode q36 (1,2=1) (3=.5) (4,5= 0) into liberal3.
*value labels liberal3 1 'liberal' .5 'middle' 0 'conserv'.
*fre var liberal3.
